Subject: Re: bug#76691: `display-monitor-attributes-list` not working properly on macOS

From: Ruiyang Wu <[email-masked]>
Date: Tue, 4 Mar 2025 10:58:23 -0500

Thank you Stephane for the investigation. The outputs that you and Robert attached look good to me. I will also test the patch myself later today or tomorrow.

Stefan earlier mentioned that the issue may also exist on some GNU/Linux platforms. I wonder if that also needs to be addressed in this bug report.

Best,
Ruiyang

> On Mar 4, 2025, at 10:45 AM, Ship Mints <[email-masked]> wrote:
> 
> On Tue, Mar 4, 2025 at 10:42 AM Robert Pluim <[email-masked] <mailto:[email-masked]>> wrote:
>> >>>>> On Tue, 4 Mar 2025 10:38:41 -0500, Ship Mints <[email-masked] <mailto:[email-masked]>> said:
>> 
>>     Ship> On Tue, Mar 4, 2025 at 10:34 AM Robert Pluim <[email-masked] <mailto:[email-masked]>> wrote:
>>     >> How many version back of macOS does localizedName work for?
>>     >> 
>> 
>>     Ship> 10.15.  No worries for anyone using the platform these days, I think.  Do
>>     Ship> you think I should wrap it?  Hrumph, if so.  We need to modernize the NS
>>     Ship> implementation at some point.
>> 
>> I guess the functionality has been broken for quite some time now, so
>> getting it back should be enough (but Iʼm not an Emacs maintainter).
> 
> Now, it's just "work" to make it bidi.  I'll try to spend time on it this week.
> 
> Wu Ruiyang, are you okay using the reported names that you've seen in this thread or the synthesized names?  I assume you're not hard coding references to display names?
> 
> -Stephane